# Google Analytics API . management . accounts

## Instance Methods

Lists all accounts to which the user has access.

### Method Details

`list(max_results=None, start_index=None)`

    Lists all accounts to which the user has access.

    Args:
      max_results: integer, The maximum number of accounts to include in this response.
      start_index: integer, An index of the first account to retrieve. Use this parameter as a pagination mechanism along with the max-results parameter.

    Returns:
      An object of the form:

        { # An account collection provides a list of Analytics accounts to which a user has access. The account collection is the entry point to all management information. Each resource in the collection corresponds to a single Analytics account.
        "username": "A String", # Email ID of the authenticated user
        "kind": "analytics#accounts", # Collection type.
        "items": [ # A list of accounts.
          { # JSON template for Analytics account entry.
            "kind": "analytics#account", # Resource type for Analytics account.
            "name": "A String", # Account name.
            "created": "A String", # Time the account was created.
            "updated": "A String", # Time the account was last modified.
            "childLink": { # Child link for an account entry. Points to the list of web properties for this account.
              "href": "A String", # Link to the list of web properties for this account.
              "type": "analytics#webproperties", # Type of the child link. Its value is "analytics#webproperties".
            },
            "starred": True or False, # Indicates whether this account is starred or not.
            "id": "A String", # Account ID.
            "selfLink": "A String", # Link for this account.
            "permissions": { # Permissions the user has for this account.
              "effective": [ # All the permissions that the user has for this account. These include any implied permissions (e.g., EDIT implies VIEW).
                "A String",
              ],
            },
          },
        ],
        "itemsPerPage": 42, # The maximum number of entries the response can contain, regardless of the actual number of entries returned. Its value ranges from 1 to 1000 with a value of 1000 by default, or otherwise specified by the max-results query parameter.
        "previousLink": "A String", # Previous link for this account collection.
        "startIndex": 42, # The starting index of the entries, which is 1 by default or otherwise specified by the start-index query parameter.
        "nextLink": "A String", # Next link for this account collection.
        "totalResults": 42, # The total number of results for the query, regardless of the number of results in the response.
      }